Index: src/sas/dataloader/readers/associations.py
===================================================================
--- src/sas/dataloader/readers/associations.py	(revision 794922220f2fb3b23dd08c648aabf87b4850596c)
+++ src/sas/dataloader/readers/associations.py	(revision fd5ac0db8089df5bd882587f157d4bf317cfcf67)
@@ -22,5 +22,5 @@
 
 ## Format version for the XML settings file
-VERSION = 'sansloader/1.0'
+VERSION = 'sasloader/1.0'
 
 
@@ -54,5 +54,5 @@
         
         # Read in the file extension associations
-        entry_list = root.xpath('/ns:SansLoader/ns:FileType',
+        entry_list = root.xpath('/ns:SasLoader/ns:FileType',
                                  namespaces={'ns': VERSION})
 
Index: src/sas/dataloader/readers/danse_reader.py
===================================================================
--- src/sas/dataloader/readers/danse_reader.py	(revision 794922220f2fb3b23dd08c648aabf87b4850596c)
+++ src/sas/dataloader/readers/danse_reader.py	(revision fd5ac0db8089df5bd882587f157d4bf317cfcf67)
@@ -35,7 +35,7 @@
     type_name = "DANSE"
     ## Wildcards
-    type = ["DANSE files (*.sas)|*.sas"]
+    type = ["DANSE files (*.sans)|*.sans"]
     ## Extension
-    ext  = ['.sas', '.SANS']
+    ext  = ['.sans', '.SANS']
         
     def read(self, filename=None):
Index: src/sas/fit/AbstractFitEngine.py
===================================================================
--- src/sas/fit/AbstractFitEngine.py	(revision 794922220f2fb3b23dd08c648aabf87b4850596c)
+++ src/sas/fit/AbstractFitEngine.py	(revision fd5ac0db8089df5bd882587f157d4bf317cfcf67)
@@ -65,14 +65,14 @@
 class Model:
     """
-    Fit wrapper for SANS models.
-    """
-    def __init__(self, sans_model, sans_data=None, **kw):
-        """
-        :param sans_model: the sas model to wrap using park interface
-
-        """
-        self.model = sans_model
-        self.name = sans_model.name
-        self.data = sans_data
+    Fit wrapper for SAS models.
+    """
+    def __init__(self, sas_model, sas_data=None, **kw):
+        """
+        :param sas_model: the sas model to wrap using park interface
+
+        """
+        self.model = sas_model
+        self.name = sas_model.name
+        self.data = sas_data
 
     def get_params(self, fitparams):
@@ -128,5 +128,5 @@
 class FitData1D(Data1D):
     """
-        Wrapper class  for SANS data
+        Wrapper class  for SAS data
         FitData1D inherits from DataLoader.data_info.Data1D. Implements
         a way to get residuals from data.
@@ -155,5 +155,5 @@
         Data1D.__init__(self, x=x, y=y, dx=dx, dy=dy)
         self.num_points = len(x)
-        self.sans_data = data
+        self.sas_data = data
         self.smearer = smearer
         self._first_unsmeared_bin = None
@@ -265,7 +265,7 @@
 class FitData2D(Data2D):
     """
-        Wrapper class  for SANS data
-    """
-    def __init__(self, sans_data2d, data=None, err_data=None):
+        Wrapper class  for SAS data
+    """
+    def __init__(self, sas_data2d, data=None, err_data=None):
         Data2D.__init__(self, data=data, err_data=err_data)
         # Data can be initialized with a sas plottable or with vectors.
@@ -278,19 +278,19 @@
         self.radius = 0
         self.res_err_data = []
-        self.sans_data = sans_data2d
-        self.set_data(sans_data2d)
-
-    def set_data(self, sans_data2d, qmin=None, qmax=None):
+        self.sas_data = sas_data2d
+        self.set_data(sas_data2d)
+
+    def set_data(self, sas_data2d, qmin=None, qmax=None):
         """
             Determine the correct qx_data and qy_data within range to fit
         """
-        self.data = sans_data2d.data
-        self.err_data = sans_data2d.err_data
-        self.qx_data = sans_data2d.qx_data
-        self.qy_data = sans_data2d.qy_data
-        self.mask = sans_data2d.mask
-
-        x_max = max(math.fabs(sans_data2d.xmin), math.fabs(sans_data2d.xmax))
-        y_max = max(math.fabs(sans_data2d.ymin), math.fabs(sans_data2d.ymax))
+        self.data = sas_data2d.data
+        self.err_data = sas_data2d.err_data
+        self.qx_data = sas_data2d.qx_data
+        self.qy_data = sas_data2d.qy_data
+        self.mask = sas_data2d.mask
+
+        x_max = max(math.fabs(sas_data2d.xmin), math.fabs(sas_data2d.xmax))
+        y_max = max(math.fabs(sas_data2d.ymin), math.fabs(sas_data2d.ymax))
         
         ## fitting range
@@ -453,10 +453,10 @@
         """
         if data.__class__.__name__ == 'Data2D':
-            fitdata = FitData2D(sans_data2d=data, data=data.data,
+            fitdata = FitData2D(sas_data2d=data, data=data.data,
                                  err_data=data.err_data)
         else:
             fitdata = FitData1D(x=data.x, y=data.y,
                                  dx=data.dx, dy=data.dy, smearer=smearer)
-        fitdata.sans_data = data
+        fitdata.sas_data = data
        
         fitdata.set_fit_range(qmin=qmin, qmax=qmax)
Index: src/sas/fit/BumpsFitting.py
===================================================================
--- src/sas/fit/BumpsFitting.py	(revision 794922220f2fb3b23dd08c648aabf87b4850596c)
+++ src/sas/fit/BumpsFitting.py	(revision fd5ac0db8089df5bd882587f157d4bf317cfcf67)
@@ -12,7 +12,7 @@
 from bumps.fitproblem import FitProblem
 
-from sas import FitEngine
-from sas import FResult
-from sas import compile_constraints
+from sas.fit.AbstractFitEngine import FitEngine
+from sas.fit.AbstractFitEngine import FResult
+from sas.fit.expression import compile_constraints
 
 class Progress(object):
@@ -91,5 +91,5 @@
 # The disadvantage of this technique is that we need to copy every parameter
 # back into the model each time the function is evaluated.  We could instead
-# define reference parameters for each sans parameter, but then we would not
+# define reference parameters for each sas parameter, but then we would not
 # be able to express constraints using python expressions in the usual way
 # from bumps, and would instead need to use string expressions.
Index: src/sas/fit/ParkFitting.py
===================================================================
--- src/sas/fit/ParkFitting.py	(revision 794922220f2fb3b23dd08c648aabf87b4850596c)
+++ src/sas/fit/ParkFitting.py	(revision fd5ac0db8089df5bd882587f157d4bf317cfcf67)
@@ -3,5 +3,5 @@
 
 """
-ParkFitting module contains SansParameter,Model,Data
+ParkFitting module contains SasParameter,Model,Data
 FitArrange, ParkFit,Parameter classes.All listed classes work together
 to perform a simple fit with park optimizer.
@@ -25,9 +25,9 @@
 from sas.fit.AbstractFitEngine import FResult
 
-class SansParameter(park.Parameter):
-    """
-    SANS model parameters for use in the PARK fitting service.
+class SasParameter(park.Parameter):
+    """
+    SAS model parameters for use in the PARK fitting service.
     The parameter attribute value is redirected to the underlying
-    parameter value in the SANS model.
+    parameter value in the SAS model.
     """
     def __init__(self, name, model, data):
@@ -100,21 +100,21 @@
 class ParkModel(park.Model):
     """
-    PARK wrapper for SANS models.
-    """
-    def __init__(self, sans_model, sans_data=None, **kw):
-        """
-        :param sans_model: the sas model to wrap using park interface
+    PARK wrapper for SAS models.
+    """
+    def __init__(self, sas_model, sas_data=None, **kw):
+        """
+        :param sas_model: the sas model to wrap using park interface
 
         """
         park.Model.__init__(self, **kw)
-        self.model = sans_model
-        self.name = sans_model.name
-        self.data = sans_data
+        self.model = sas_model
+        self.name = sas_model.name
+        self.data = sas_data
         #list of parameters names
-        self.sansp = sans_model.getParamList()
+        self.sasp = sas_model.getParamList()
         #list of park parameter
-        self.parkp = [SansParameter(p, sans_model, sans_data) for p in self.sansp]
+        self.parkp = [SasParameter(p, sas_model, sas_data) for p in self.sasp]
         #list of parameter set
-        self.parameterset = park.ParameterSet(sans_model.name, pars=self.parkp)
+        self.parameterset = park.ParameterSet(sas_model.name, pars=self.parkp)
         self.pars = []
 
@@ -176,5 +176,5 @@
 
 
-class SansFitResult(fitresult.FitResult):
+class SasFitResult(fitresult.FitResult):
     def __init__(self, *args, **kwrds):
         fitresult.FitResult.__init__(self, *args, **kwrds)
@@ -182,5 +182,5 @@
         self.inputs = []
         
-class SansFitSimplex(FitSimplex):
+class SasFitSimplex(FitSimplex):
     """
     Local minimizer using Nelder-Mead simplex algorithm.
@@ -216,7 +216,7 @@
         # Need to make our own copy of the fit results so that the
         # values don't get stomped on by the next fit iteration.
-        fitpars = [SansFitParameter(pars[i].name,pars[i].range,v, pars[i].model, pars[i].data)
+        fitpars = [SasFitParameter(pars[i].name,pars[i].range,v, pars[i].model, pars[i].data)
                    for i,v in enumerate(result.x)]
-        res = SansFitResult(fitpars, result.calls, result.fx)
+        res = SasFitResult(fitpars, result.calls, result.fx)
         res.inputs = [(pars[i].model, pars[i].data) for i,v in enumerate(result.x)]
         # Compute the parameter uncertainties from the jacobian
@@ -224,5 +224,5 @@
         return res
       
-class SansFitter(Fitter):
+class SasFitter(Fitter):
     """
     """
@@ -243,5 +243,5 @@
         handler.done = False
         self.handler = handler
-        fitpars = [SansFitParameter(pars[i].name, pars[i].range, v,
+        fitpars = [SasFitParameter(pars[i].name, pars[i].range, v,
                                      pars[i].model, pars[i].data)
                    for i,v in enumerate(x0)]
@@ -252,5 +252,5 @@
         self._fit(fitness, x0, bounds)
         
-class SansFitMC(SansFitter):
+class SasFitMC(SasFitter):
     """
     Monte Carlo optimizer.
@@ -258,5 +258,5 @@
     This implements `park.fit.Fitter`.
     """
-    localfit = SansFitSimplex()
+    localfit = SasFitSimplex()
     start_points = 10
     def __init__(self, localfit, start_points=10):
@@ -276,5 +276,5 @@
             raise ValueError, "Fit did not converge.\n"
         
-class SansPart(Part):
+class SasPart(Part):
     """
     Part of a fitting assembly.  Part holds the model itself and
@@ -318,5 +318,5 @@
         self.model, self.data = fitness[0], fitness[1]
 
-class SansFitParameter(FitParameter):
+class SasFitParameter(FitParameter):
     """
     Fit result for an individual parameter.
@@ -363,5 +363,5 @@
         self.parts = []
         for m in models:
-            self.parts.append(SansPart(m))
+            self.parts.append(SasPart(m))
         self.curr_thread = curr_thread
         self.chisq = None
@@ -390,5 +390,5 @@
         # Convert to fitparameter a object
         
-        fitpars = [SansFitParameter(p.path,p.range,p.value, p.model, p.data)
+        fitpars = [SasFitParameter(p.path,p.range,p.value, p.model, p.data)
                    for p in self._fitparameters]
         #print "fitpars", fitpars
@@ -399,5 +399,5 @@
         Extend result from the fit with the calculated parameters.
         """
-        calcpars = [SansFitParameter(p.path,p.range,p.value, p.model, p.data)
+        calcpars = [SasFitParameter(p.path,p.range,p.value, p.model, p.data)
                     for p in self.parameterset.computed]
         result.parameters += calcpars
@@ -493,5 +493,5 @@
     def create_assembly(self, curr_thread, reset_flag=False):
         """
-        Extract sansmodel and sansdata from 
+        Extract sasmodel and sasdata from 
         self.FitArrangelist ={Uid:FitArrange}
         Create parkmodel and park data ,form a list couple of parkmodel 
@@ -562,10 +562,10 @@
         """
         self.create_assembly(curr_thread=curr_thread, reset_flag=reset_flag)
-        localfit = SansFitSimplex()
+        localfit = SasFitSimplex()
         localfit.ftol = ftol
         localfit.xtol = 1e-6
 
         # See `park.fitresult.FitHandler` for details.
-        fitter = SansFitMC(localfit=localfit, start_points=1)
+        fitter = SasFitMC(localfit=localfit, start_points=1)
         if handler == None:
             handler = fitresult.ConsoleUpdate(improvement_delta=0.1)
@@ -584,5 +584,5 @@
         for m in self.problem.parts:
             residuals, theory = m.fitness.residuals()
-            small_result = FResult(model=m.model, data=m.data.sans_data)
+            small_result = FResult(model=m.model, data=m.data.sas_data)
             small_result.fitter_id = self.fitter_id
             small_result.theory = theory
Index: src/sas/fit/ScipyFitting.py
===================================================================
--- src/sas/fit/ScipyFitting.py	(revision 794922220f2fb3b23dd08c648aabf87b4850596c)
+++ src/sas/fit/ScipyFitting.py	(revision fd5ac0db8089df5bd882587f157d4bf317cfcf67)
@@ -14,7 +14,7 @@
 _SMALLVALUE = 1.0e-10
 
-class SansAssembly:
-    """
-    Sans Assembly class a class wrapper to be call in optimizer.leastsq method
+class SasAssembly:
+    """
+    Sas Assembly class a class wrapper to be call in optimizer.leastsq method
     """
     def __init__(self, paramlist, model=None, data=None, fitresult=None,
@@ -212,5 +212,5 @@
         if handler is not None:
             handler.set_result(result=result)
-        functor = SansAssembly(paramlist=pars,
+        functor = SasAssembly(paramlist=pars,
                                model=model,
                                data=data,
Index: src/sas/guiframe/CategoryInstaller.py
===================================================================
--- src/sas/guiframe/CategoryInstaller.py	(revision 794922220f2fb3b23dd08c648aabf87b4850596c)
+++ src/sas/guiframe/CategoryInstaller.py	(revision fd5ac0db8089df5bd882587f157d4bf317cfcf67)
@@ -33,5 +33,5 @@
         returns the dir where installed_models.txt should be
         """
-import sas.dataloader.readers
+        import sas.dataloader.readers
         return sas.dataloader.readers.get_data_path()
 
@@ -41,5 +41,5 @@
         returns the dir where models.py should be
         """
-import sas.perspectives.fitting.models
+        import sas.perspectives.fitting.models
         return sas.perspectives.fitting.models.get_model_python_path()
     
@@ -52,9 +52,9 @@
         # when deploying using py2app (it will be in Contents/Resources), or
         # py2exe (it will be in the exec dir).
-import sas.sansview
+        import sas.sasview
         cat_file = "default_categories.json"
         
         possible_cat_file_paths = [
-            os.path.join(os.path.split(sas.sansview.__file__)[0], cat_file),           # Source
+            os.path.join(os.path.split(sas.sasview.__file__)[0], cat_file),           # Source
             os.path.join(os.path.dirname(sys.executable), '..', 'Resources', cat_file), # Mac
             os.path.join(os.path.dirname(sys.executable), cat_file)                     # Windows
@@ -70,5 +70,5 @@
     def _get_home_dir():
         """
-        returns the users sansview config dir
+        returns the users sasview config dir
         """
         return os.path.join(os.path.expanduser("~"), ".sasview")
Index: src/sas/guiframe/config.py
===================================================================
--- src/sas/guiframe/config.py	(revision 794922220f2fb3b23dd08c648aabf87b4850596c)
+++ src/sas/guiframe/config.py	(revision fd5ac0db8089df5bd882587f157d4bf317cfcf67)
@@ -11,5 +11,5 @@
 __download_page__ = 'http://sourceforge.net/projects/sasview/files/'
 __update_URL__ = ['svn.code.sf.net', 
-                  '/p/sasview/code/trunk/sansview.latestversion']
+                  '/p/sasview/code/trunk/sasview.latestversion']
 
 
@@ -60,5 +60,5 @@
 _copyright = "(c) 2008, University of Tennessee"
 #edit the lists below of file state your plugin can read
-#for sansview this how you can edit these lists
+#for sasview this how you can edit these lists
 #PLUGIN_STATE_EXTENSIONS = ['.prv','.fitv', '.inv']
 #APPLICATION_STATE_EXTENSION = '.svs'
@@ -66,5 +66,5 @@
 #                  'Fitting files (*.fitv)|*.fitv',
 #                  'Invariant files (*.inv)|*.inv']
-#APPLICATION_WLIST = 'SansView files (*.svs)|*.svs'
+#APPLICATION_WLIST = 'SasView files (*.svs)|*.svs'
 APPLICATION_WLIST = ''
 APPLICATION_STATE_EXTENSION = None
Index: src/sas/guiframe/dummyapp.py
===================================================================
--- src/sas/guiframe/dummyapp.py	(revision 794922220f2fb3b23dd08c648aabf87b4850596c)
+++ src/sas/guiframe/dummyapp.py	(revision fd5ac0db8089df5bd882587f157d4bf317cfcf67)
@@ -101,5 +101,5 @@
                  "self._on_context_do_something"]]   
 
-class SansView():
+class SasView():
     
     def __init__(self):
@@ -124,3 +124,3 @@
     from multiprocessing import freeze_support
     freeze_support()
-    sansview = SansView()
+    sasview = SasView()
Index: src/sas/models/DisperseModel.py
===================================================================
--- src/sas/models/DisperseModel.py	(revision 794922220f2fb3b23dd08c648aabf87b4850596c)
+++ src/sas/models/DisperseModel.py	(revision fd5ac0db8089df5bd882587f157d4bf317cfcf67)
@@ -3,5 +3,5 @@
 """
 from sas.models.BaseComponent import BaseComponent
-from sans_extension.c_models import Disperser
+from sas_extension.c_models import Disperser
     
 class DisperseModel(Disperser, BaseComponent):
Index: src/sas/models/__init__.py
===================================================================
--- src/sas/models/__init__.py	(revision 794922220f2fb3b23dd08c648aabf87b4850596c)
+++ src/sas/models/__init__.py	(revision fd5ac0db8089df5bd882587f157d4bf317cfcf67)
@@ -1,4 +1,4 @@
 """
-    1D Modeling for SANS
+    1D Modeling for SAS
 """
 #from sas.models import *
Index: src/sas/models/c_extension/Doxyfile
===================================================================
--- src/sas/models/c_extension/Doxyfile	(revision 794922220f2fb3b23dd08c648aabf87b4850596c)
+++ src/sas/models/c_extension/Doxyfile	(revision fd5ac0db8089df5bd882587f157d4bf317cfcf67)
@@ -4,5 +4,5 @@
 # Project related configuration options
 #---------------------------------------------------------------------------
-PROJECT_NAME           = sansmodeling
+PROJECT_NAME           = sasmodeling
 PROJECT_NUMBER         = 
 OUTPUT_DIRECTORY       = ../doc
@@ -114,8 +114,8 @@
 EXCLUDE                = build \
                          dist \
-                         sans/models/test \
+                         sas/models/test \
                          libigor \
                          igor_wrapper \
-                         sans/models/prototypes
+                         sas/models/prototypes
 EXCLUDE_SYMLINKS       = NO
 EXCLUDE_PATTERNS       = 
Index: src/sas/models/c_extension/c_models/c_models.cpp.template
===================================================================
--- src/sas/models/c_extension/c_models/c_models.cpp.template	(revision 794922220f2fb3b23dd08c648aabf87b4850596c)
+++ src/sas/models/c_extension/c_models/c_models.cpp.template	(revision fd5ac0db8089df5bd882587f157d4bf317cfcf67)
@@ -1,5 +1,5 @@
 /** c_models
  *
- * Module containing all SANS model extensions
+ * Module containing all SAS model extensions
  *
  * @author   M.Doucet / UTK
@@ -7,5 +7,5 @@
 #include <Python.h>
 #include <parameters.hh>
-#define PY_ARRAY_UNIQUE_SYMBOL PyArray_API_sans
+#define PY_ARRAY_UNIQUE_SYMBOL PyArray_API_sas
 #include "arrayobject.h"
 
@@ -191,5 +191,5 @@
 
   m = Py_InitModule3("c_models", module_methods,
-      "C extension module for SANS scattering models.");
+      "C extension module for SAS scattering models.");
   import_array();
 
Index: src/sas/models/c_extension/libigor/GaussWeights.c
===================================================================
--- src/sas/models/c_extension/libigor/GaussWeights.c	(revision 794922220f2fb3b23dd08c648aabf87b4850596c)
+++ src/sas/models/c_extension/libigor/GaussWeights.c	(revision fd5ac0db8089df5bd882587f157d4bf317cfcf67)
@@ -1,5 +1,5 @@
 /*
  *  GaussWeights.c
- *  SANSAnalysis
+ *  SASAnalysis
  *
  *  Created by Andrew Jackson on 4/23/07.
Index: src/sas/models/c_extension/libigor/GaussWeights.h
===================================================================
--- src/sas/models/c_extension/libigor/GaussWeights.h	(revision 794922220f2fb3b23dd08c648aabf87b4850596c)
+++ src/sas/models/c_extension/libigor/GaussWeights.h	(revision fd5ac0db8089df5bd882587f157d4bf317cfcf67)
@@ -3,5 +3,5 @@
 /*
  *  GaussWeights.h
- *  SANSAnalysis
+ *  SASAnalysis
  *
  *  Created by Andrew Jackson on 4/23/07.
Index: src/sas/models/c_extension/libigor/StandardHeaders.h
===================================================================
--- src/sas/models/c_extension/libigor/StandardHeaders.h	(revision 794922220f2fb3b23dd08c648aabf87b4850596c)
+++ src/sas/models/c_extension/libigor/StandardHeaders.h	(revision fd5ac0db8089df5bd882587f157d4bf317cfcf67)
@@ -1,5 +1,5 @@
 /*
  *  StandardHeaders.h
- *  SANSAnalysis
+ *  SASAnalysis
  *
  *  Created by Andrew Jackson on 4/23/07.
Index: src/sas/models/c_extension/libigor/libSASAnalysis.h
===================================================================
--- src/sas/models/c_extension/libigor/libSASAnalysis.h	(revision fd5ac0db8089df5bd882587f157d4bf317cfcf67)
+++ src/sas/models/c_extension/libigor/libSASAnalysis.h	(revision fd5ac0db8089df5bd882587f157d4bf317cfcf67)
@@ -0,0 +1,194 @@
+/*
+ *  libSASAnalysis.h
+ *  SASAnalysis
+ *
+ *  Created by Andrew Jackson on 4/24/07.
+ *  Copyright 2007 __MyCompanyName__. All rights reserved.
+ *
+ */
+
+#include "libCylinder.h"
+#include "libSphere.h"
+#include "libStructureFactor.h"
+#include "libTwoPhase.h"
+
+/*This should not be necessary AJJ May 09*/
+/* IGOR Fit Functions */
+/*
+double CylinderForm(double dp[], double q);
+double EllipCyl76(double dp[], double q);
+double EllipCyl20(double dp[], double q);
+double TriaxialEllipsoid(double dp[], double q);
+double Parallelepiped(double dp[], double q);
+double HollowCylinder(double dp[], double q);
+double EllipsoidForm(double dp[], double q);
+double Cyl_PolyRadius(double dp[], double q);
+double Cyl_PolyLength(double dp[], double q);
+double CoreShellCylinder(double dp[], double q);
+double OblateForm(double dp[], double q);
+double ProlateForm(double dp[], double q);
+double FlexExclVolCyl(double dp[], double q);
+double FlexCyl_PolyLen(double dp[], double q);
+double FlexCyl_PolyRad(double dp[], double q);
+double FlexCyl_Ellip(double dp[], double q);
+double PolyCoShCylinder(double dp[], double q);
+double StackedDiscs(double dp[], double q);
+double LamellarFF(double dp[], double q);
+double LamellarFF_HG(double dp[], double q);
+double LamellarPS(double dp[], double q);
+double LamellarPS_HG(double dp[], double q);
+//
+double Lamellar_ParaCrystal(double dp[], double q);
+double Spherocylinder(double dp[], double q);
+double ConvexLens(double dp[], double q);
+double Dumbbell(double dp[], double q);
+double CappedCylinder(double dp[], double q);
+double Barbell(double dp[], double q);
+double PolyCoreBicelle(double dp[], double q);
+*/
+
+/* internal functions */
+/*
+double CylKernel(double qq, double rr,double h, double theta);
+double NR_BessJ1(double x);
+double EllipCylKernel(double qq, double ra,double nu, double theta);
+double TriaxialKernel(double q, double aa, double bb, double cc, double dx, double dy);
+double PPKernel(double aa, double mu, double uu);
+double HolCylKernel(double qq, double rcore, double rshell, double length, double dum);
+double EllipsoidKernel(double qq, double a, double va, double dum);
+double Cyl_PolyRadKernel(double q, double radius, double length, double zz, double delrho, double dumRad);
+double SchulzPoint_cpr(double dumRad, double radius, double zz);
+double Cyl_PolyLenKernel(double q, double radius, double len_avg, double zz, double delrho, double dumLen);
+double CoreShellCylKernel(double qq, double rcore, double thick, double rhoc, double rhos, double rhosolv, double length, double dum);
+double gfn4(double xx, double crmaj, double crmin, double trmaj, double trmin, double delpc, double delps, double qq);
+double gfn2(double xx, double crmaj, double crmin, double trmaj, double trmin, double delpc, double delps, double qq);
+double FlePolyLen_kernel(double q, double radius, double length, double lb, double zz, double delrho, double zi);
+double FlePolyRad_kernel(double q, double ravg, double Lc, double Lb, double zz, double delrho, double zi);
+double EllipticalCross_fn(double qq, double a, double b);
+double CScyl(double qq, double rad, double radthick, double facthick, double rhoc, double rhos, double rhosolv, double length, double dum);
+double CSCylIntegration(double qq, double rad, double radthick, double facthick, double rhoc, double rhos, double rhosolv, double length);
+double Stackdisc_kern(double qq, double rcore, double rhoc, double rhol, double rhosolv, double length, double thick, double dum, double gsd, double d, double N);
+double BicelleKernel(double qq, double rad, double radthick, double facthick, double rhoc, double rhoh, double rhor, double rhosolv, double length, double dum);
+double BicelleIntegration(double qq, double rad, double radthick, double facthick, double rhoc, double rhoh, double rhor, double rhosolv, double length);
+*/
+
+
+//
+/* IGOR Fit Functions */
+/*
+double MultiShell(double dp[], double q);
+double PolyMultiShell(double dp[], double q);
+double SphereForm(double dp[], double q);
+double CoreShellForm(double dp[], double q);
+double PolyCoreForm(double dp[], double q);
+double PolyCoreShellRatio(double dp[], double q);
+double VesicleForm(double dp[], double q);
+double SchulzSpheres(double dp[], double q);
+double PolyRectSpheres(double dp[], double q);
+double PolyHardSphereIntensity(double dp[], double q);
+double BimodalSchulzSpheres(double dp[], double q);
+double GaussPolySphere(double dp[], double q);
+double LogNormalPolySphere(double dp[], double q);
+double BinaryHS(double dp[], double q);
+double BinaryHS_PSF11(double dp[], double q);
+double BinaryHS_PSF12(double dp[], double q);
+double BinaryHS_PSF22(double dp[], double q);
+//
+double OneShell(double dp[], double q);
+double TwoShell(double dp[], double q);
+double ThreeShell(double dp[], double q);
+double FourShell(double dp[], double q);
+double PolyOneShell(double dp[], double q);
+double PolyTwoShell(double dp[], double q);
+double PolyThreeShell(double dp[], double q);
+double PolyFourShell(double dp[], double q);
+double BCC_ParaCrystal(double dp[], double q);
+double FCC_ParaCrystal(double dp[], double q);
+double SC_ParaCrystal(double dp[], double q);
+
+//function prototypes
+double F_func(double qr);
+double MultiShellGuts(double q,double rcore,double ts,double tw,double rhocore,double rhoshel,int num);
+double fnt2(double yy, double zz);
+double fnt3(double yy, double pp, double zz);
+double SchulzSphere_Fn(double scale, double ravg, double pd, double rho, double rhos, double x);
+int ashcroft(double qval, double r2, double nf2, double aa, double phi, double *s11, double *s22, double *s12);
+
+
+////
+double HardSphereStruct(double dp[], double q);
+double SquareWellStruct(double dp[], double q);
+double StickyHS_Struct(double dp[], double q);
+double HayterPenfoldMSA(double dp[], double q);
+double DiamCyl(double a, double b);
+double DiamEllip(double a, double b);
+double sqhcal(double qq);
+int sqfun(int ix, int ir);
+int sqcoef(int ir);
+*/
+////
+/* IGOR Fit Functions */
+/*
+double TeubnerStreyModel(double dp[], double q);
+double Power_Law_Model(double dp[], double q);
+double Peak_Lorentz_Model(double dp[], double q);
+double Peak_Gauss_Model(double dp[], double q);
+double Lorentz_Model(double dp[], double q);
+double Fractal(double dp[], double q);
+double DAB_Model(double dp[], double q);
+double OneLevel(double dp[], double q);
+double TwoLevel(double dp[], double q);
+double ThreeLevel(double dp[], double q);
+double FourLevel(double dp[], double q);
+//
+double BroadPeak(double dp[], double q);
+double CorrLength(double dp[], double q);
+double TwoLorentzian(double dp[], double q);
+double TwoPowerLaw(double dp[], double q);
+double PolyGaussCoil(double dp[], double q);
+double GaussLorentzGel(double dp[], double q);
+double GaussianShell(double dp[], double q);
+*/
+
+// since the XOP and the library are separate chunks of compiled code
+// it is imperative to set ALL the structure alignments to be two-byte
+// rather than leave it to the whim of the compiler
+/* SRK08
+#include "XOPStructureAlignmentTwoByte.h"
+
+typedef struct {
+    double scale;
+    double radius;
+    double length;
+    double contrast;
+	double background;    
+    double cyl_theta;
+    double cyl_phi;    
+} CylinderParameters;
+
+typedef struct {
+    double scale;
+    double radius;
+    double length;
+    double contrast;
+	double background;
+    double cyl_theta;
+    double cyl_phi; 
+    double sigma_theta;
+    double sigma_phi;
+    double sigma_radius;
+} SmearCylinderParameters;
+
+#include "XOPStructureAlignmentReset.h"
+
+/// 1D scattering function
+double cylinder_analytical_1D(CylinderParameters *pars, double q);
+/// 2D scattering function
+double cylinder_analytical_2D(CylinderParameters *pars, double q, double phi);
+/// 1D scattering function
+double smeared_cylinder_analytical_1D(SmearCylinderParameters *pars, double q);
+/// 2D scattering function
+double dist_cylinder_2D(double pars[], double q, double phi);
+double smeared_cylinder_analytical_2D(SmearCylinderParameters *pars, double q, double phi);
+double smeared_cylinder_dist( double x, double mean, double sigma );
+*/
Index: src/sas/models/c_extension/python_wrapper/WrapperGenerator.py
===================================================================
--- src/sas/models/c_extension/python_wrapper/WrapperGenerator.py	(revision 794922220f2fb3b23dd08c648aabf87b4850596c)
+++ src/sas/models/c_extension/python_wrapper/WrapperGenerator.py	(revision fd5ac0db8089df5bd882587f157d4bf317cfcf67)
@@ -19,9 +19,9 @@
         
         where my_model must be replaced by the name of the
-        class that you want to import from sans.models.
+        class that you want to import from sas.models.
         (example: [PYTHONCLASS] = MyModel
-          will create a class MyModel in sans.models.MyModel.
+          will create a class MyModel in sas.models.MyModel.
           It will also create a class CMyModel in 
-          sans_extension.c_models.)
+          sas_extension.c_models.)
           
         Also in comments, each parameter of the params 
Index: src/sas/models/c_extension/python_wrapper/wrapping.py
===================================================================
--- src/sas/models/c_extension/python_wrapper/wrapping.py	(revision 794922220f2fb3b23dd08c648aabf87b4850596c)
+++ src/sas/models/c_extension/python_wrapper/wrapping.py	(revision fd5ac0db8089df5bd882587f157d4bf317cfcf67)
@@ -24,10 +24,10 @@
 
 def write_c_models(model_list):
-    # simultaneously generates 'sansmodels/installed_models.txt'
-    # and 'sansmodels/src/c_models/c_models.cpp'
+    # simultaneously generates 'sasmodels/installed_models.txt'
+    # and 'sasmodels/src/c_models/c_models.cpp'
     
 
-    template_file = open(os.path.join("src", "sans", "models","c_extension","c_models","c_models.cpp.template"),"r")
-    write_file = open(os.path.join("src", "sans",  "models","c_extension","c_models","c_models.cpp"),"w")
+    template_file = open(os.path.join("src", "sas", "models","c_extension","c_models","c_models.cpp.template"),"r")
+    write_file = open(os.path.join("src", "sas",  "models","c_extension","c_models","c_models.cpp"),"w")
     buf = template_file.read()
     lines = buf.split('\n')
@@ -63,5 +63,5 @@
 if __name__ == '__main__':
     header_dir = os.path.join('..', 'include')
-    generate_wrappers(header_dir, output_dir="../sans/models/", c_wrapper_dir='.')
+    generate_wrappers(header_dir, output_dir="../sas/models/", c_wrapper_dir='.')
 
 
